
Katello - Bug #23633

Activation keys tab on Hostgroup does not store its value and so kt_activation_keys parameter is not

available at host provision
Pull request:    

Description

In the activation keys tab on the hostgrouo I can select the activation key, but when I press submit and open the hostgroup again it

seems like the activation key is not stored.

There is also no parameter kt_activation_keys shown at the hostgroup or a host using this hostgroup which results in the host not

getting registered as content host via subscription-manager.

Setting the parameter kt_activation_keys directly at the hostgroup is not possible which is intended as far as I understood. Setting the

parameter on the hosts works and lets the host register as expected.

In the production.log is no error message, just a 200 OK for the POST /hostgroups which contains the correct activation key in

group_parameters_attributes.

Verified on an older test installation with Katello 3.5 that this is only a bug in 3.6.

Related issues:

Is duplicate of Katello - Bug #23274: Can't add activation key to hostgroup v... Closed 04/15/2018

History

#1 - 05/23/2018 05:50 PM - Jonathon Turel

- Assignee set to Jonathon Turel

- translation missing: en.field_release set to 352

#2 - 05/23/2018 07:47 PM - Jonathon Turel

- Is duplicate of Bug #23274: Can't add activation key to hostgroup via UI added

#3 - 05/23/2018 07:49 PM - Jonathon Turel

The fix for this (linked it to this issue) is available in master and will be in 3.7 and 3.6.1. Thanks for the report!

#4 - 06/13/2018 06:31 PM - Jonathon Turel

- Status changed from New to Duplicate

#5 - 07/12/2018 02:53 PM - Greg Sutcliffe

- Triaged set to No

- Found in Releases Katello 3.6.0 added

Powered by TCPDF (www.tcpdf.org)

05/17/2024 1/1

http://www.tcpdf.org

